> ## Name

> cgGLEnableClientState - enables a vertex attribute in the OpenGL state

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLEnableClientState( CGparameter param );

> ## Parameters

> param
>   The varying parameter for which the client state will be enabled.

> ## Return Values

> None.

> ## Description

> cgGLEnableClientState enables the vertex attribute associated with the given varying parameter.

> ## Examples

>       cgGLEnableClientState(param);

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLEnableClientState was introduced in Cg 1.1.

> ## See Also

> cgGLDisableClientState